System 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.All, AllowMultiple=false, Inherited=false)

By default, the Help keyword for a class is given by the property value. For members, the Help keyword is given by the full name of the type that declared the property, plus the property name itself.

For example, consider the property on the control. The class keyword is "System.Windows.Forms.Button", but the property keyword is "System.Windows.Forms.Control.Text", because the property is declared on the class, rather than the class itself; the class inherits the property.

By contrast, the property is declared on the class, so its keyword is "System.Windows.Forms.Button.DialogResult".

When the Help system gets the keywords, it will first look at . At the class level, it will return the string specified by the . This will not be used for members of the type in question, which will still reflect the declaring type's actual full name, plus the member name. This attribute supports strongly typed classes that have associated common documentation but distinct Help IDs.

Specifies the context keyword for a class or member. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The Help keyword value.
- Constructor
  2.0.0.0
  4.0.0.0

  The Help keyword will be set to the property of .

  Initializes a new instance of the class from the given type.

  The type from which the Help keyword will be taken.
- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Design.HelpKeywordAttribute null

  The default value for is null.

  Represents the default value for . This field is read-only.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Two instances of a are equal if their Help keywords are equal.

  Determines whether two instances are equal.

  true if the specified is equal to the current ; otherwise, false.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A hash code for the current .

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the Help keyword supplied by this attribute.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Determines whether the Help keyword is null.

  true if the Help keyword is null; otherwise, false.